#ifndef SETTINGSDIALOG_H
#define SETTINGSDIALOG_H

#include <QDialog>
#include "settings/settings.h"

namespace Ui {
class settingsdialog;
}

class SettingsDialog : public QDialog {
    Q_OBJECT
    Settings settings;
public:
    explicit SettingsDialog(QWidget *parent = nullptr);
    ~SettingsDialog();

private slots:
    void on_OFDModulesDirEdit_editingFinished();

    void on_buttonBox_accepted();

    void on_storesModulesDirEdit_editingFinished();

    void on_OFDModulesURLEdit_editingFinished();

    void on_storesModulesURLEdit_editingFinished();

    void on_goodsNamePositionSpin_valueChanged(int arg1);

    void on_goodsNameAliasEdit_editingFinished();

    void on_goodsPricePerUnitPositionSpin_valueChanged(int arg1);

    void on_goodsPricePerUnitAliasEdit_editingFinished();

    void on_goodsQuantityPositionSpin_valueChanged(int arg1);

    void on_goodsQuantityAliasEdit_editingFinished();

    void on_goodsNetWeightPositionSpin_valueChanged(int arg1);

    void on_goodsNetWeightAliasEdit_editingFinished();

    void on_goodsTotalPositionSpin_valueChanged(int arg1);

    void on_goodsTotalAliasEdit_editingFinished();

    void on_printHeaderCheckBox_stateChanged(int arg1);

    void on_printTotalCheckBox_stateChanged(int arg1);

    void on_buttonBox_rejected();

private:
    Ui::settingsdialog *ui;
};

#endif // SETTINGSDIALOG_H
